This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 715158 - No spacing below admonitions using FOP 1.0-16.fc15
No spacing below admonitions using FOP 1.0-16.fc15
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-21 23:57 EDT by Scott Mumford
Modified: 2011-07-26 11:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-25 20:42:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (32.80 KB, image/png)
2011-06-21 23:57 EDT, Scott Mumford
no flags Details
screenshot of properly space admonitions (74.19 KB, image/png)
2011-07-12 22:06 EDT, Tim Hildred
no flags Details

  None (edit)
Description Scott Mumford 2011-06-21 23:57:19 EDT
Created attachment 505907 [details]
Screenshot

Description of problem:

When building a PDF document using FOP 1.0.16.fc15 (which is required in order to build PDFs at all in Fedora 15), admonitions are rendered with no space below them.

Version-Release number of selected component (if applicable):
Publican: 2.5-2.fc15
Fop: 1.0-16.fc15

How reproducible:
100%

Steps to Reproduce:
1. Install Fedora 15 (and Publican)
2. Install fop-1.0-16.fc15.noarch.rpm 
3. Build any publican document.
  
Actual results:
Admonitions look 'crowded'; as there is no space between them and the following element.

Expected results:
Some sort of space formatted between document elements.

Additional info:
See attached screenshot for an example.
Comment 1 Jeff Fearn 2011-06-26 00:13:58 EDT
Tweaked admonition margins.

Committed revision 1792.
Comment 2 Jeff Fearn 2011-07-07 22:23:46 EDT
Back ported to branches/publican-2x, tested OK on FOP 0.95.

Committed revision 1820.
Comment 3 Tim Hildred 2011-07-12 22:06:32 EDT
Created attachment 512548 [details]
screenshot of properly space admonitions
Comment 4 Tim Hildred 2011-07-12 22:07:12 EDT
tested in fedora 15 with fop 1.0-16.fc15, works.
Comment 5 Norman Dunbar 2011-07-26 11:22:42 EDT
Sorry to be a nit picker here, but looking at the PDF version of the Publican 2.6 User's Guide, I see huge gaps underneath all the admonitions now. (Sorry!)

Note You need to log in before you can comment on or make changes to this bug.